Bug 439248 - gnome-bluetooth unable to connect to input devices
gnome-bluetooth unable to connect to input devices
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: bluez-gnome (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-27 13:43 EDT by Jef Spaleta
Modified: 2008-04-07 12:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-07 12:23:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jef Spaleta 2008-03-27 13:43:57 EDT
Description of problem:
gnome-bluetooth unable to connect to input devices such as my Dell Travel Mouse.
Even though hcitool scan shows the device.


Version-Release number of selected component (if applicable):
gnome-bluetooth-0.11.0-3.fc9.i386

Steps to Reproduce:
1.  open gnome-bluetooth preferences
2.  go to services
3.  select input service
4.  Add input device
5.  Dell mouse not listed in devices dialog
6.  open terminal 
7.  run hcitool scan
8.  Dell mouse listed in devices.

Repeat 1-5 on F8 laptop, and the mouse is found and is usable.
  
Actual results:
On my development box, the gnome-bluetooth gui seems incapable of see devices,
even though hcitool can see them.

Expected results:
I should see the bluetooth mouse listed in the available input devices to
connect to, just as in F8.

Additional info:
I'll gladly run any necessary troubleshooting scripts you need to review.
This was working last Friday/Saturday.  I'm not sure exactly what's broken.
It's quite possibly something lower down than gnome-bluetooth, but I'm not sure
how to confirm that. hcitool scan is reporting back as expected.

-jef
Comment 1 Bastien Nocera 2008-04-04 08:57:39 EDT
Which version of bluez-gnome, and bluez-utils are you using?

Please test with bluez-utils 0.30 and make sure you have restarted the bluetooth
service.
Comment 2 Bastien Nocera 2008-04-04 09:22:25 EDT
I can reproduce it here. DiscoverDevices doesn't work anymore.
Comment 3 Bastien Nocera 2008-04-04 09:35:30 EDT
Should be fixed in bluez-utils 3.30 in rawhide.
Comment 4 Matthias Clasen 2008-04-05 11:46:38 EDT
Any reason to leave this in needinfo ?
Comment 5 Jef Spaleta 2008-04-07 12:23:58 EDT
(In reply to comment #4)
> Any reason to leave this in needinfo ?

None at all... in fact things are working again for me. I'm closing the bug out.


Note You need to log in before you can comment on or make changes to this bug.